import { ComponentRef, Type } from '@angular/core';
import { ComponentCreatorBase } from './component-creator-base';
export interface MessageContainer<T> {
    componentRef: ComponentRef<T>;
    message_id: string;
}
export declare class ComponentCreator<T> {
    private base;
    private component?;
    private _idPrefix;
    constructor(base: ComponentCreatorBase, component?: Type<T>, _idPrefix?: string);
    domElem: HTMLElement;
    componentRef: ComponentRef<T>;
    messages: Array<MessageContainer<T>>;
    create(): Promise<void>;
    remove(ref: ComponentRef<T>): void;
    protected _generateMessageId(): string;
}
